:host{
  width: -webkit-fill-available;
}

.contenido-principal{
  display: flex;
  flex-wrap: wrap;
  flex-direction: column;
}
.usuario-lista{
  background-color: rgba(63, 195, 63, 0.548);
  flex: 0 0 auto;
  font-size: 1.8rem;
  padding: 1rem;
  border-radius: .3rem;
  align-self: start;
  margin-bottom: 1rem;
}

h3{
  margin: 0px;
}

.portada-titulo{
  display: flex;
  flex-direction: row;
  background-color: rgba(112, 128, 144, 0.25);
  padding: 1rem;
  border-radius: .3rem;
  margin-top: 1rem;
}

.titulo-opciones{
  display: flex;
  flex-direction: column;
  justify-content: space-between;
}

.titulo-opciones p {
  margin: 0 0 0 1rem;
  padding: 0;
}

.opciones{
  display: flex;
  flex-direction: column;
}

.opciones div{
  display: flex;
  flex-direction: row;
}

.puntuacion-usuario, .editar-elemento-libro{
  padding: .5rem;
  margin-left: 1rem;
  font-size: 1.8rem;
  background-color: rgb(88, 189, 110);
  border-radius: .3rem;
  text-align: center;
  cursor: pointer;
  margin-bottom: .5rem;
}

.editar-elemento-libro {
  background-color: rgb(202, 137, 52);
}

.libros-estados{
  display: flex;
  flex-direction: row;

}

.elemento-estado{
  background-color: rgb(204, 149, 48);
  padding: .5rem;
  margin-bottom: 1rem;
  border-radius: .4rem;
  cursor: pointer;
  margin-right: 2rem;
}

.estado {
  font-size: 2rem;
  margin: 0;
}

p {
  color: #fff;
  font-size: 1.8rem;
  margin-left: 1rem;

}

img{
  height: 17rem;
}

.editar-elemento-libro p {
  margin: 0;
}

.puntuacion-usuario p {
  margin: 0;
}

form {
  margin-top: 1rem;
  margin-left: 1rem;
  font-size: 1.8rem;
  background-color: rgb(109, 109, 109);
  border-radius: .4rem;
  padding: 1.5rem;
}

form div {
  display: flex;
  align-items: center;
  margin-top: 1rem;
  justify-content: space-between;
}

form div label {
  margin-right: 2rem;
}

form div select {
  background-color: #34383C;
  color: white;
  border-radius: .4rem;
  box-shadow: none;
  border:0px;
  outline:0px;
  width: 70%;
}

form button {
  margin-top: 2rem;
  width: 100%;
  border: none;
  padding: .5rem;
  border-radius: .4rem;
  background-color: rgb(96, 170, 96);
  color: white;
}

.eliminar {
  background-color: rgb(187, 29, 29) !important;
}
